# Dummy Android

## Docker

This project relies on Docker to allow development using the same environment as the CI server (Jenkins).

### Requirements

- Android SDK
- Docker (18.09.1+)
- Docker Composer (1.21.0+)

### Configuration

By default, Android SDK is expected under `~/android/sdk`.
It is possible to adapt this path in `docker-compose.yml`.
But it may also be specified in your `local.properties`!

### Usage

The following command should build (if required) and start a shell session inside the container:

```
docker-compose --compatibility run --rm default
```

From there, Gradle and Fastlane should work as expected:

```
./gradlew tasks
fastlane lanes
```

Most importantly, Fastlane or the whole bundle can be updated:

```
bundle update fastlane
bundle update
```

## Jenkins

The project is designed to be build from a Jenkins server, which will provide the above requirements.

### Dependencies

- [Jenkins Lazy Lib](https://github.com/digital-me/jenkins-lib-lazy)
- [Jenkins Custom Lib]()

### Usage

Like all projects using lazyLib, each build can be altered with LAZY_ENV parameter.
